LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

how to change default labVIEW version

Hello !

I am trying to run a labVIEW .vi of version 8.6 on a windows 2000 PC, which has lv2009, lv 8.6 and lv6 installed in it. But when i try to run the vi version 8.6, the error shows up saying that VI version 8.6 is newer than labVIEW version 6.0, although i have both labVIEW 8.6 and 9. 

Is there a way to change the default labVIEW being used? i was not able to find TestStand settings in this PC, maybe because it is old? 

0 Kudos
Message 1 of 8
(1,487 Views)

@shlokadhavle wrote:

Hello !

I am trying to run a labVIEW .vi of version 8.6 on a windows 2000 PC, which has lv2009, lv 8.6 and lv6 installed in it. But when i try to run the vi version 8.6, the error shows up saying that VI version 8.6 is newer than labVIEW version 6.0, although i have both labVIEW 8.6 and 9. 

Is there a way to change the default labVIEW being used? i was not able to find TestStand settings in this PC, maybe because it is old? 


AFAIK the only way to avoid this is to explicitly open the version of LabVIEW that you are going to use before opening the project.  I believe it is a Windows thing, where opening a file by double-clicking will use the version of that application that was last used.  I believe that even if you right-click and "Open with..." and choose the explicit version, it will still use the last version used.

Bill
CLD
(Mid-Level minion.)
My support system ensures that I don't look totally incompetent.
Proud to say that I've progressed beyond knowing just enough to be dangerous. I now know enough to know that I have no clue about anything at all.
Humble author of the CLAD Nugget.
Message 2 of 8
(1,481 Views)

I was trying that but it does not show any application other than labVIEW development system (lv6) on trying to open it with another program.

Also, the system does not explicitly identify any version as a program except for lv6, even though i installed lv2009 today itself 😞

0 Kudos
Message 3 of 8
(1,470 Views)

I have shortcuts on my tool bar for each version of LabVIEW that I have.  I don't use desktop shortcuts for this reason, but there's nothing wrong with placing shortcuts on the desktop.

Bill
CLD
(Mid-Level minion.)
My support system ensures that I don't look totally incompetent.
Proud to say that I've progressed beyond knowing just enough to be dangerous. I now know enough to know that I have no clue about anything at all.
Humble author of the CLAD Nugget.
0 Kudos
Message 4 of 8
(1,451 Views)

@shlokadhavle wrote:

I was trying that but it does not show any application other than labVIEW development system (lv6) on trying to open it with another program.

Also, the system does not explicitly identify any version as a program except for lv6, even though i installed lv2009 today itself 😞


What system identifies what and where?

 

  • What does the list of installed programs say from the control panel?
  • What does the software section in NI-MAX say?
  • What does the NI license manager say?
  • What folders do you see in the "program files/National instruments" hierarchy?
  • What exactly did you install, from where and how? Were there any errors? Did you reboot?

 

0 Kudos
Message 5 of 8
(1,448 Views)

By default, every time you run a version of LabVIEW, it re-registers itself as the default app for LabVIEW files.

I also use multiple versions of LabVIEW; and that was creating headaches for me.

So I created a little app that seizes control of registration of LabVIEW files, then when you open one, it checks to see what version of LabVIEW it was saved with, then launches that version of LabVIEW, passing the file to it.  The attachment has the source, backsaved to LV 2009.

You'll have to run the buildspec yourself, the installer it to big to upload here.

 

"If you weren't supposed to push it, it wouldn't be a button."
Message 6 of 8
(1,429 Views)

Hello altenbach

1. In the control panel, there is

 - NI IVI compliance package 3.1

 - NI labVIEW RTE 7.1.1

 - NI lavVIEW RTE 8.6

 - NI labVIEW SignalExpres 2.5

 - NI Measurement & Automation Explorer 4.3

 -NI Measurement Studio Common .NET Language

 -NI DAQmx 8.6

 -NI VISA runtime 4.2

 

2. software section in MAX says labview_rt. On opening this file, it just shows the code, but i cant see which version

 

3. The NI license manager shows LV 8.5, 2009 and SignalExpress 2.5. The remote panel connections for LV 8.5 and 2009 do not have an active license

 

4. In the hierarchy, i see lv 6, lv 8.0 and lv 8.5

 

5. I installed labVIEW version 2009, 32 bit Run Time Engine as it is compatible with windows2000

0 Kudos
Message 7 of 8
(1,375 Views)

@shlokadhavle wrote:

5. I installed labVIEW version 2009, 32 bit Run Time Engine as it is compatible with windows2000


The 2009 runtime engine is to run applications built in LabVIEW 2009. It cannot be used to open, edit, or create VIs. How big is the LabVIEW 2009 folder in the program files hierarchy?

0 Kudos
Message 8 of 8
(1,342 Views)